Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.management
Class AttributeChangeNotification

    java.lang.Object
      |
      +--java.util.EventObject
            |
            +--javax.management.Notification
                  |
                  +--javax.management.AttributeChangeNotification

public class AttributeChangeNotification
extends Notification

This class provides definitions of the attribute change notifications sent by MBeans.

See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `ATTRIBUTE_CHANGE` Notification type denoting that the observed MBean attribute value has changed.

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`AttributeChangeNotification(java.lang.String type, java.lang.Object source, long sequenceNumber, java.util.Date timeStamp, java.lang.String msg, java.lang.String attributeName, java.lang.String attributeType, java.lang.Object oldValue, java.lang.Object newValue)` Creates an attribute change notification object.

Method Summary
`java.lang.String` | `getAttributeName()` Gets the MBean attribute name.
`java.lang.String` | `getAttributeType()` Gets the MBean attribute type.
`java.lang.Object` | `getNewValue()` Gets the MBean attribute new value.
`java.lang.Object` | `getOldValue()` Gets the MBean attribute old value.

Methods inherited from class javax.management.Notification
`getMessage, getSequenceNumber, getSource, getTimeStamp, getType, getUserData, setSource, setUserData`

Methods inherited from class java.util.EventObject
`toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ATTRIBUTE_CHANGE

    public static final java.lang.String ATTRIBUTE_CHANGE

  Notification type denoting that the observed MBean attribute value has changed.
  The value of this notification type is `jmx.attribute.change`.

Constructor Detail

### AttributeChangeNotification

    public AttributeChangeNotification(java.lang.String type,
                                       java.lang.Object source,
                                       long sequenceNumber,
                                       java.util.Date timeStamp,
                                       java.lang.String msg,
                                       java.lang.String attributeName,
                                       java.lang.String attributeType,
                                       java.lang.Object oldValue,
                                       java.lang.Object newValue)

  Creates an attribute change notification object.
  Parameters:
    `type` - The notification type.
    `source` - The notification producer, that is the MBean the attribute belongs to.
    `sequenceNumber` - The notification sequence number within the source object.
    `timeStamp` - The notification emission date.
    `msg` - The notification message.
    `attributeName` - The MBean attribute name.
    `attributeType` - The MBean attribute type.
    `oldValue` - The MBean attribute old value.
    `newValue` - The MBean attribute new value.

Method Detail

### getAttributeName

    public java.lang.String getAttributeName()

  Gets the MBean attribute name.
  Returns:
    The MBean attribute name.

### getAttributeType

    public java.lang.String getAttributeType()

  Gets the MBean attribute type.
  Returns:
    The MBean attribute type.

### getOldValue

    public java.lang.Object getOldValue()

  Gets the MBean attribute old value.
  Returns:
    The MBean attribute old value.

### getNewValue

    public java.lang.Object getNewValue()

  Gets the MBean attribute new value.
  Returns:
    The MBean attribute new value.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD